hpp-corbaserver: _impl_Problem Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_Problem Class Referenceabstract

`#include <hpp/corbaserver/problem-idl.hh>`

Inheritance diagram for _impl_Problem:
[legend]
Collaboration diagram for _impl_Problem:
[legend]

## Public Member Functions
virtual | ~_impl_Problem ()
virtual void | setRandomSeed (::CORBA::Long seed)=0
virtual void | setMaxNumThreads (::CORBA::UShort n)=0
virtual ::CORBA::UShort | getMaxNumThreads ()=0
virtual Names_t * | getAvailable (const char *type)=0
virtual Names_t * | getSelected (const char *type)=0
virtual void | setParameter (const char *name, const ::CORBA::Any &value)=0
virtual ::CORBA::Any * | getParameter (const char *name)=0
virtual char * | getParameterDoc (const char *name)=0
virtual ::CORBA::Boolean | selectProblem (const char *name)=0
virtual void | resetProblem ()=0
virtual ::CORBA::Boolean | loadPlugin (const char *pluginName)=0
virtual void | movePathToProblem (::CORBA::ULong pathId, const char *problemName, const ::hpp::Names_t &jointNames)=0
virtual void | setInitialConfig (const ::hpp::floatSeq &dofArray)=0
virtual floatSeq * | getInitialConfig ()=0
virtual void | addGoalConfig (const ::hpp::floatSeq &dofArray)=0
virtual floatSeqSeq * | getGoalConfigs ()=0
virtual void | resetGoalConfigs ()=0
virtual void | setGoalConstraints (const ::hpp::Names_t &constraints)=0
virtual void | resetGoalConstraints ()=0
virtual ::CORBA::Boolean | applyConstraints (const ::hpp::floatSeq &input, ::hpp::floatSeq_out output, ::CORBA::Double &residualError)=0
virtual ::CORBA::Boolean | optimize (const ::hpp::floatSeq &input, ::hpp::floatSeq_out output, ::hpp::floatSeq_out residualError)=0
virtual void | computeValueAndJacobian (const ::hpp::floatSeq &config, ::hpp::floatSeq_out value, ::hpp::floatSeqSeq_out jacobian)=0
virtual ::CORBA::Boolean | generateValidConfig (::CORBA::ULong maxIter, ::hpp::floatSeq_out output, ::CORBA::Double &residualError)=0
virtual void | createOrientationConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const ::hpp::Quaternion_ p, const ::hpp::boolSeq &mask)=0
virtual void | createTransformationConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const ::hpp::Transform_ ref, const ::hpp::boolSeq &mask)=0
virtual void | createTransformationR3xSO3Constraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const ::hpp::Transform_ frame1, const ::hpp::Transform_ frame2, const ::hpp::boolSeq &mask)=0
virtual void | createTransformationConstraint2 (const char *constraintName, const char *joint1Name, const char *joint2Name, const ::hpp::Transform_ frame1, const ::hpp::Transform_ frame2, const ::hpp::boolSeq &mask)=0
virtual void | createLockedJoint (const char *lockedJointName, const char *jointName, const ::hpp::floatSeq &value)=0
virtual void | createLockedJointWithComp (const char *lockedJointName, const char *jointName, const ::hpp::floatSeq &value, const ::hpp::ComparisonTypes_t &comp)=0
virtual void | createLockedExtraDof (const char *lockedDofName, ::CORBA::ULong index, const ::hpp::floatSeq &value)=0
virtual void | createManipulability (const char *name, const char *function)=0
virtual void | createComBeetweenFeet (const char *constraintName, const char *comName, const char *jointLName, const char *jointRName, const ::hpp::floatSeq &pointL, const ::hpp::floatSeq &pointR, const char *jointRefName, const ::hpp::floatSeq &pointRef, const ::hpp::boolSeq &mask)=0
virtual void | createRelativeComConstraint (const char *constraintName, const char *comName, const char *jointLName, const ::hpp::floatSeq &point, const ::hpp::boolSeq &mask)=0
virtual void | createConvexShapeContactConstraint (const char *constraintName, const ::hpp::Names_t &floorJoints, const ::hpp::Names_t &objectJoints, const ::hpp::floatSeqSeq &pts, const ::hpp::intSeqSeq &objectTriangles, const ::hpp::intSeqSeq &floorTriangles)=0
virtual void | createPositionConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const ::hpp::floatSeq &point1, const ::hpp::floatSeq &point2, const ::hpp::boolSeq &mask)=0
virtual void | createConfigurationConstraint (const char *constraintName, const ::hpp::floatSeq &goal, const ::hpp::floatSeq &weights)=0
virtual void | createDistanceBetweenJointConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, ::CORBA::Double distance)=0
virtual void | createDistanceBetweenJointAndObjects (const char *constraintName, const char *joint1Name, const ::hpp::Names_t &objects, ::CORBA::Double distance)=0
virtual void | createIdentityConstraint (const char *constraintName, const ::hpp::Names_t &inJoints, const ::hpp::Names_t &outJoints)=0
virtual void | resetConstraints ()=0
virtual void | resetConstraintMap ()=0
virtual void | addPassiveDofs (const char *constraintName, const ::hpp::Names_t &jointNames)=0
virtual void | getConstraintDimensions (const char *constraintName, ::CORBA::ULong &inputSize, ::CORBA::ULong &inputDerivativeSize, ::CORBA::ULong &outputSize, ::CORBA::ULong &outputDerivativeSize)=0
virtual void | setConstantRightHandSide (const char *constraintName, ::CORBA::Boolean constant)=0
virtual ::CORBA::Boolean | getConstantRightHandSide (const char *constraintName)=0
virtual floatSeq * | getRightHandSide ()=0
virtual void | setRightHandSide (const ::hpp::floatSeq &rhs)=0
virtual void | setRightHandSideFromConfig (const ::hpp::floatSeq &config)=0
virtual void | setRightHandSideByName (const char *constraintName, const ::hpp::floatSeq &rhs)=0
virtual void | setRightHandSideFromConfigByName (const char *constraintName, const ::hpp::floatSeq &config)=0
virtual void | addNumericalConstraints (const char *configProjName, const ::hpp::Names_t &constraintNames, const ::hpp::intSeq &priorities)=0
virtual void | setNumericalConstraintsLastPriorityOptional (::CORBA::Boolean optional)=0
virtual void | addLockedJointConstraints (const char *configProjName, const ::hpp::Names_t &lockedJointNames)=0
virtual char * | displayConstraints ()=0
virtual ::CORBA::Double | getErrorThreshold ()=0
virtual void | setErrorThreshold (::CORBA::Double threshold)=0
virtual void | setDefaultLineSearchType (const char *type)=0
virtual ::CORBA::ULong | getMaxIterProjection ()=0
virtual void | setMaxIterProjection (::CORBA::ULong iterations)=0
virtual ::CORBA::ULong | getMaxIterPathPlanning ()=0
virtual void | setMaxIterPathPlanning (::CORBA::ULong iterations)=0
virtual void | scCreateScalarMultiply (const char *outName, ::CORBA::Double scalar, const char *inName)=0
virtual ::CORBA::Double | getTimeOutPathPlanning ()=0
virtual void | setTimeOutPathPlanning (::CORBA::Double timeOut)=0
virtual void | filterCollisionPairs ()=0
virtual void | selectPathPlanner (const char *pathPlannerType)=0
virtual void | selectConfigurationShooter (const char *configurationShooterType)=0
virtual void | selectDistance (const char *distanceType)=0
virtual void | selectSteeringMethod (const char *steeringMethodType)=0
virtual void | addPathOptimizer (const char *pathOptimizerType)=0
virtual void | clearPathOptimizers ()=0
virtual void | addConfigValidation (const char *configValidationType)=0
virtual void | clearConfigValidations ()=0
virtual void | selectPathValidation (const char *pathValidationType, ::CORBA::Double tolerance)=0
virtual void | selectPathProjector (const char *pathProjectorType, ::CORBA::Double tolerance)=0
virtual ::CORBA::Boolean | prepareSolveStepByStep ()=0
virtual ::CORBA::Boolean | executeOneStep ()=0
virtual void | finishSolveStepByStep ()=0
virtual intSeq * | solve ()=0
virtual ::CORBA::Boolean | directPath (const ::hpp::floatSeq &startConfig, const ::hpp::floatSeq &endConfig, ::CORBA::Boolean validate, ::CORBA::ULong &pathId, ::CORBA::String_out report)=0
virtual ::CORBA::Boolean | reversePath (::CORBA::ULong pathId, ::CORBA::ULong &reversedPathId)=0
virtual void | addConfigToRoadmap (const ::hpp::floatSeq &config)=0
virtual void | addEdgeToRoadmap (const ::hpp::floatSeq &config1, const ::hpp::floatSeq &config2, ::CORBA::ULong pathId, ::CORBA::Boolean bothEdges)=0
virtual void | appendDirectPath (::CORBA::ULong pathId, const ::hpp::floatSeq &config, ::CORBA::Boolean validate)=0
virtual void | concatenatePath (::CORBA::ULong startId, ::CORBA::ULong endId)=0
virtual void | extractPath (::CORBA::ULong pathId, ::CORBA::Double start, ::CORBA::Double end)=0
virtual void | erasePath (::CORBA::ULong pathId)=0
virtual ::CORBA::Boolean | projectPath (::CORBA::ULong patId)=0
virtual ::CORBA::Long | numberPaths ()=0
virtual intSeq * | optimizePath (::CORBA::ULong inPathId)=0
virtual ::CORBA::Double | pathLength (::CORBA::ULong inPathId)=0
virtual floatSeq * | configAtParam (::CORBA::ULong inPathId, ::CORBA::Double atDistance)=0
virtual floatSeq * | derivativeAtParam (::CORBA::ULong inPathId, ::CORBA::ULong orderId, ::CORBA::Double atDistance)=0
virtual floatSeqSeq * | getWaypoints (::CORBA::ULong pathId, ::hpp::floatSeq_out times)=0
virtual void | interruptPathPlanning ()=0
virtual floatSeqSeq * | nodes ()=0
virtual ::CORBA::Long | numberNodes ()=0
virtual floatSeq * | node (::CORBA::ULong nodeId)=0
virtual ::CORBA::Long | connectedComponentOfEdge (::CORBA::ULong edgeId)=0
virtual ::CORBA::Long | connectedComponentOfNode (::CORBA::ULong nodeId)=0
virtual ::CORBA::Long | numberEdges ()=0
virtual void | edge (::CORBA::ULong edgeId, ::hpp::floatSeq_out q1, ::hpp::floatSeq_out q2)=0
virtual ::CORBA::Long | numberConnectedComponents ()=0
virtual floatSeqSeq * | nodesConnectedComponent (::CORBA::ULong connectedComponentId)=0
virtual floatSeq * | getNearestConfig (const ::hpp::floatSeq &config, ::CORBA::Long connectedComponentId, ::CORBA::Double &distance)=0
virtual void | clearRoadmap ()=0
virtual void | resetRoadmap ()=0
virtual void | saveRoadmap (const char *filename)=0
virtual void | loadRoadmap (const char *filename)=0
virtual core_idl::Distance_ptr | getDistance ()=0
virtual void | setDistance (::hpp::core_idl::Distance_ptr distance)=0
virtual core_idl::Path_ptr | getPath (::CORBA::ULong pathId)=0
virtual ::CORBA::ULong | addPath (::hpp::core_idl::PathVector_ptr path)=0
virtual void | savePath (::hpp::core_idl::Path_ptr path, const char *filename)=0
virtual core_idl::Path_ptr | loadPath (const char *filename)=0
virtual core_idl::SteeringMethod_ptr | getSteeringMethod ()=0
virtual core_idl::PathValidation_ptr | getPathValidation ()=0
virtual core_idl::PathPlanner_ptr | getPathPlanner ()=0
virtual core_idl::Problem_ptr | getProblem ()=0
virtual constraints_idl::Implicit_ptr | getConstraint (const char *constraintName)=0
virtual void | setRobot (::hpp::pinocchio_idl::Device_ptr robot)=0
virtual pinocchio_idl::CollisionObject_ptr | getObstacle (const char *name)=0
virtual core_idl::Problem_ptr | createProblem (::hpp::pinocchio_idl::Device_ptr robot)=0
virtual core_idl::Roadmap_ptr | createRoadmap (::hpp::core_idl::Distance_ptr distance, ::hpp::pinocchio_idl::Device_ptr robot)=0
virtual core_idl::Roadmap_ptr | readRoadmap (const char *filename, ::hpp::pinocchio_idl::Device_ptr robot)=0
virtual void | writeRoadmap (const char *filename, ::hpp::core_idl::Roadmap_ptr roadmap, ::hpp::pinocchio_idl::Device_ptr robot)=0
virtual core_idl::PathPlanner_ptr | createPathPlanner (const char *type, ::hpp::core_idl::Problem_ptr problem, ::hpp::core_idl::Roadmap_ptr roadmap)=0
virtual core_idl::PathOptimizer_ptr | createPathOptimizer (const char *type, ::hpp::core_idl::Problem_ptr problem)=0
virtual core_idl::ConfigValidation_ptr | createConfigValidation (const char *type, ::hpp::pinocchio_idl::Device_ptr robot)=0
virtual core_idl::PathValidation_ptr | createPathValidation (const char *type, ::hpp::pinocchio_idl::Device_ptr robot, ::hpp::value_type parameter)=0
virtual core_idl::PathProjector_ptr | createPathProjector (const char *type, ::hpp::core_idl::Problem_ptr robot, ::hpp::value_type parameter)=0
virtual core_idl::ConfigurationShooter_ptr | createConfigurationShooter (const char *type, ::hpp::core_idl::Problem_ptr problem)=0
virtual core_idl::Distance_ptr | createDistance (const char *type, ::hpp::core_idl::Problem_ptr problem)=0
virtual core_idl::SteeringMethod_ptr | createSteeringMethod (const char *type, ::hpp::core_idl::Problem_ptr problem)=0
virtual core_idl::Constraint_ptr | createConstraintSet (::hpp::pinocchio_idl::Device_ptr robot, const char *name)=0
virtual core_idl::Constraint_ptr | createConfigProjector (::hpp::pinocchio_idl::Device_ptr robot, const char *name, ::CORBA::Double threshold, ::CORBA::ULong iterations)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)
virtual | ~_impl_Problem ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual pinocchio_idl::Device_ptr | robot ()=0
virtual void | setInitConfig (const ::hpp::floatSeq &init)=0
virtual floatSeq * | getInitConfig ()=0
virtual void | addGoalConfig (const ::hpp::floatSeq &goal)=0
virtual void | resetGoalConfigs ()=0
virtual Constraint_ptr | getConstraints ()=0
virtual void | setConstraints (::hpp::core_idl::Constraint_ptr constraints)=0
virtual Distance_ptr | getDistance ()=0
virtual void | setDistance (::hpp::core_idl::Distance_ptr d)=0
virtual SteeringMethod_ptr | getSteeringMethod ()=0
virtual void | setSteeringMethod (::hpp::core_idl::SteeringMethod_ptr d)=0
virtual PathValidation_ptr | getPathValidation ()=0
virtual void | setPathValidation (::hpp::core_idl::PathValidation_ptr d)=0
virtual PathProjector_ptr | getPathProjector ()=0
virtual void | setPathProjector (::hpp::core_idl::PathProjector_ptr p)=0
virtual ConfigValidation_ptr | getConfigValidations ()=0
virtual void | clearConfigValidations ()=0
virtual void | addConfigValidation (::hpp::core_idl::ConfigValidation_ptr cfgValidation)=0
virtual ConfigurationShooter_ptr | getConfigurationShooter ()=0
virtual void | setConfigurationShooter (::hpp::core_idl::ConfigurationShooter_ptr d)=0
virtual void | filterCollisionPairs ()=0
virtual void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)=0
virtual void | addObstacle (::hpp::pinocchio_idl::CollisionObject_ptr object)=0
virtual void | setParameter (const char *name, const ::CORBA::Any &value)=0
virtual ::CORBA::Any * | getParameter (const char *name)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Problem() [1/2]

virtual _impl_Problem::~_impl_Problem | ( |  | ) |
| virtual

## ◆ ~_impl_Problem() [2/2]

virtual _impl_Problem::~_impl_Problem | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch() [1/2]

virtual _CORBA_Boolean _impl_Problem::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ _dispatch() [2/2]

virtual _CORBA_Boolean _impl_Problem::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ addConfigToRoadmap()

virtual void _impl_Problem::addConfigToRoadmap | ( | const ::hpp::floatSeq & | config | ) |
| pure virtual

## ◆ addConfigValidation() [1/2]

virtual void _impl_Problem::addConfigValidation | ( | ::hpp::core_idl::ConfigValidation_ptr | cfgValidation | ) |
| pure virtual

## ◆ addConfigValidation() [2/2]

virtual void _impl_Problem::addConfigValidation | ( | const char * | configValidationType | ) |
| pure virtual

## ◆ addEdgeToRoadmap()

virtual void _impl_Problem::addEdgeToRoadmap | ( | const ::hpp::floatSeq & | config1,
|  | const ::hpp::floatSeq & | config2,
|  | ::CORBA::ULong | pathId,
|  | ::CORBA::Boolean | bothEdges
| ) |  |
| pure virtual

## ◆ addGoalConfig() [1/2]

virtual void _impl_Problem::addGoalConfig | ( | const ::hpp::floatSeq & | dofArray | ) |
| pure virtual

## ◆ addGoalConfig() [2/2]

virtual void _impl_Problem::addGoalConfig | ( | const ::hpp::floatSeq & | goal | ) |
| pure virtual

## ◆ addLockedJointConstraints()

virtual void _impl_Problem::addLockedJointConstraints | ( | const char * | configProjName,
|  | const ::hpp::Names_t & | lockedJointNames
| ) |  |
| pure virtual

## ◆ addNumericalConstraints()

virtual void _impl_Problem::addNumericalConstraints | ( | const char * | configProjName,
|  | const ::hpp::Names_t & | constraintNames,
|  | const ::hpp::intSeq & | priorities
| ) |  |
| pure virtual

## ◆ addObstacle()

virtual void _impl_Problem::addObstacle | ( | ::hpp::pinocchio_idl::CollisionObject_ptr | object | ) |
| pure virtual

## ◆ addPassiveDofs()

virtual void _impl_Problem::addPassiveDofs | ( | const char * | constraintName,
|  | const ::hpp::Names_t & | jointNames
| ) |  |
| pure virtual

## ◆ addPath()

virtual ::CORBA::ULong _impl_Problem::addPath | ( | ::hpp::core_idl::PathVector_ptr | path | ) |
| pure virtual

## ◆ addPathOptimizer()

virtual void _impl_Problem::addPathOptimizer | ( | const char * | pathOptimizerType | ) |
| pure virtual

## ◆ appendDirectPath()

virtual void _impl_Problem::appendDirectPath | ( | ::CORBA::ULong | pathId,
|  | const ::hpp::floatSeq & | config,
|  | ::CORBA::Boolean | validate
| ) |  |
| pure virtual

## ◆ applyConstraints()

virtual ::CORBA::Boolean _impl_Problem::applyConstraints | ( | const ::hpp::floatSeq & | input,
|  | ::hpp::floatSeq_out | output,
|  | ::CORBA::Double & | residualError
| ) |  |
| pure virtual

## ◆ clearConfigValidations() [1/2]

virtual void _impl_Problem::clearConfigValidations | ( |  | ) |
| pure virtual

## ◆ clearConfigValidations() [2/2]

virtual void _impl_Problem::clearConfigValidations | ( |  | ) |
| pure virtual

## ◆ clearPathOptimizers()

virtual void _impl_Problem::clearPathOptimizers | ( |  | ) |
| pure virtual

## ◆ clearRoadmap()

virtual void _impl_Problem::clearRoadmap | ( |  | ) |
| pure virtual

## ◆ computeValueAndJacobian()

virtual void _impl_Problem::computeValueAndJacobian | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::floatSeq_out | value,
|  | ::hpp::floatSeqSeq_out | jacobian
| ) |  |
| pure virtual

## ◆ concatenatePath()

virtual void _impl_Problem::concatenatePath | ( | ::CORBA::ULong | startId,
|  | ::CORBA::ULong | endId
| ) |  |
| pure virtual

## ◆ configAtParam()

virtual floatSeq * _impl_Problem::configAtParam | ( | ::CORBA::ULong | inPathId,
|  | ::CORBA::Double | atDistance
| ) |  |
| pure virtual

## ◆ connectedComponentOfEdge()

virtual ::CORBA::Long _impl_Problem::connectedComponentOfEdge | ( | ::CORBA::ULong | edgeId | ) |
| pure virtual

## ◆ connectedComponentOfNode()

virtual ::CORBA::Long _impl_Problem::connectedComponentOfNode | ( | ::CORBA::ULong | nodeId | ) |
| pure virtual

## ◆ createComBeetweenFeet()

virtual void _impl_Problem::createComBeetweenFeet | ( | const char * | constraintName,
|  | const char * | comName,
|  | const char * | jointLName,
|  | const char * | jointRName,
|  | const ::hpp::floatSeq & | pointL,
|  | const ::hpp::floatSeq & | pointR,
|  | const char * | jointRefName,
|  | const ::hpp::floatSeq & | pointRef,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ createConfigProjector()

virtual core_idl::Constraint_ptr _impl_Problem::createConfigProjector | ( | ::hpp::pinocchio_idl::Device_ptr | robot,
|  | const char * | name,
|  | ::CORBA::Double | threshold,
|  | ::CORBA::ULong | iterations
| ) |  |
| pure virtual

## ◆ createConfigurationConstraint()

virtual void _impl_Problem::createConfigurationConstraint | ( | const char * | constraintName,
|  | const ::hpp::floatSeq & | goal,
|  | const ::hpp::floatSeq & | weights
| ) |  |
| pure virtual

## ◆ createConfigurationShooter()

virtual core_idl::ConfigurationShooter_ptr _impl_Problem::createConfigurationShooter | ( | const char * | type,
|  | ::hpp::core_idl::Problem_ptr | problem
| ) |  |
| pure virtual

## ◆ createConfigValidation()

virtual core_idl::ConfigValidation_ptr _impl_Problem::createConfigValidation | ( | const char * | type,
|  | ::hpp::pinocchio_idl::Device_ptr | robot
| ) |  |
| pure virtual

## ◆ createConstraintSet()

virtual core_idl::Constraint_ptr _impl_Problem::createConstraintSet | ( | ::hpp::pinocchio_idl::Device_ptr | robot,
|  | const char * | name
| ) |  |
| pure virtual

## ◆ createConvexShapeContactConstraint()

virtual void _impl_Problem::createConvexShapeContactConstraint | ( | const char * | constraintName,
|  | const ::hpp::Names_t & | floorJoints,
|  | const ::hpp::Names_t & | objectJoints,
|  | const ::hpp::floatSeqSeq & | pts,
|  | const ::hpp::intSeqSeq & | objectTriangles,
|  | const ::hpp::intSeqSeq & | floorTriangles
| ) |  |
| pure virtual

## ◆ createDistance()

virtual core_idl::Distance_ptr _impl_Problem::createDistance | ( | const char * | type,
|  | ::hpp::core_idl::Problem_ptr | problem
| ) |  |
| pure virtual

## ◆ createDistanceBetweenJointAndObjects()

virtual void _impl_Problem::createDistanceBetweenJointAndObjects | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const ::hpp::Names_t & | objects,
|  | ::CORBA::Double | distance
| ) |  |
| pure virtual

## ◆ createDistanceBetweenJointConstraint()

virtual void _impl_Problem::createDistanceBetweenJointConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | ::CORBA::Double | distance
| ) |  |
| pure virtual

## ◆ createIdentityConstraint()

virtual void _impl_Problem::createIdentityConstraint | ( | const char * | constraintName,
|  | const ::hpp::Names_t & | inJoints,
|  | const ::hpp::Names_t & | outJoints
| ) |  |
| pure virtual

## ◆ createLockedExtraDof()

virtual void _impl_Problem::createLockedExtraDof | ( | const char * | lockedDofName,
|  | ::CORBA::ULong | index,
|  | const ::hpp::floatSeq & | value
| ) |  |
| pure virtual

## ◆ createLockedJoint()

virtual void _impl_Problem::createLockedJoint | ( | const char * | lockedJointName,
|  | const char * | jointName,
|  | const ::hpp::floatSeq & | value
| ) |  |
| pure virtual

## ◆ createLockedJointWithComp()

virtual void _impl_Problem::createLockedJointWithComp | ( | const char * | lockedJointName,
|  | const char * | jointName,
|  | const ::hpp::floatSeq & | value,
|  | const ::hpp::ComparisonTypes_t & | comp
| ) |  |
| pure virtual

## ◆ createManipulability()

virtual void _impl_Problem::createManipulability | ( | const char * | name,
|  | const char * | function
| ) |  |
| pure virtual

## ◆ createOrientationConstraint()

virtual void _impl_Problem::createOrientationConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const ::hpp::Quaternion_ | p,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ createPathOptimizer()

virtual core_idl::PathOptimizer_ptr _impl_Problem::createPathOptimizer | ( | const char * | type,
|  | ::hpp::core_idl::Problem_ptr | problem
| ) |  |
| pure virtual

## ◆ createPathPlanner()

virtual core_idl::PathPlanner_ptr _impl_Problem::createPathPlanner | ( | const char * | type,
|  | ::hpp::core_idl::Problem_ptr | problem,
|  | ::hpp::core_idl::Roadmap_ptr | roadmap
| ) |  |
| pure virtual

## ◆ createPathProjector()

virtual core_idl::PathProjector_ptr _impl_Problem::createPathProjector | ( | const char * | type,
|  | ::hpp::core_idl::Problem_ptr | robot,
|  | ::hpp::value_type | parameter
| ) |  |
| pure virtual

## ◆ createPathValidation()

virtual core_idl::PathValidation_ptr _impl_Problem::createPathValidation | ( | const char * | type,
|  | ::hpp::pinocchio_idl::Device_ptr | robot,
|  | ::hpp::value_type | parameter
| ) |  |
| pure virtual

## ◆ createPositionConstraint()

virtual void _impl_Problem::createPositionConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const ::hpp::floatSeq & | point1,
|  | const ::hpp::floatSeq & | point2,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ createProblem()

virtual core_idl::Problem_ptr _impl_Problem::createProblem | ( | ::hpp::pinocchio_idl::Device_ptr | robot | ) |
| pure virtual

## ◆ createRelativeComConstraint()

virtual void _impl_Problem::createRelativeComConstraint | ( | const char * | constraintName,
|  | const char * | comName,
|  | const char * | jointLName,
|  | const ::hpp::floatSeq & | point,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ createRoadmap()

virtual core_idl::Roadmap_ptr _impl_Problem::createRoadmap | ( | ::hpp::core_idl::Distance_ptr | distance,
|  | ::hpp::pinocchio_idl::Device_ptr | robot
| ) |  |
| pure virtual

## ◆ createSteeringMethod()

virtual core_idl::SteeringMethod_ptr _impl_Problem::createSteeringMethod | ( | const char * | type,
|  | ::hpp::core_idl::Problem_ptr | problem
| ) |  |
| pure virtual

## ◆ createTransformationConstraint()

virtual void _impl_Problem::createTransformationConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const ::hpp::Transform_ | ref,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ createTransformationConstraint2()

virtual void _impl_Problem::createTransformationConstraint2 | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const ::hpp::Transform_ | frame1,
|  | const ::hpp::Transform_ | frame2,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ createTransformationR3xSO3Constraint()

virtual void _impl_Problem::createTransformationR3xSO3Constraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const ::hpp::Transform_ | frame1,
|  | const ::hpp::Transform_ | frame2,
|  | const ::hpp::boolSeq & | mask
| ) |  |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_Problem::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_Problem::deleteThis | ( |  | ) |
| pure virtual

## ◆ derivativeAtParam()

virtual floatSeq * _impl_Problem::derivativeAtParam | ( | ::CORBA::ULong | inPathId,
|  | ::CORBA::ULong | orderId,
|  | ::CORBA::Double | atDistance
| ) |  |
| pure virtual

## ◆ directPath()

virtual ::CORBA::Boolean _impl_Problem::directPath | ( | const ::hpp::floatSeq & | startConfig,
|  | const ::hpp::floatSeq & | endConfig,
|  | ::CORBA::Boolean | validate,
|  | ::CORBA::ULong & | pathId,
|  | ::CORBA::String_out | report
| ) |  |
| pure virtual

## ◆ displayConstraints()

virtual char * _impl_Problem::displayConstraints | ( |  | ) |
| pure virtual

## ◆ edge()

virtual void _impl_Problem::edge | ( | ::CORBA::ULong | edgeId,
|  | ::hpp::floatSeq_out | q1,
|  | ::hpp::floatSeq_out | q2
| ) |  |
| pure virtual

## ◆ erasePath()

virtual void _impl_Problem::erasePath | ( | ::CORBA::ULong | pathId | ) |
| pure virtual

## ◆ executeOneStep()

virtual ::CORBA::Boolean _impl_Problem::executeOneStep | ( |  | ) |
| pure virtual

## ◆ extractPath()

virtual void _impl_Problem::extractPath | ( | ::CORBA::ULong | pathId,
|  | ::CORBA::Double | start,
|  | ::CORBA::Double | end
| ) |  |
| pure virtual

## ◆ filterCollisionPairs() [1/2]

virtual void _impl_Problem::filterCollisionPairs | ( |  | ) |
| pure virtual

## ◆ filterCollisionPairs() [2/2]

virtual void _impl_Problem::filterCollisionPairs | ( |  | ) |
| pure virtual

## ◆ finishSolveStepByStep()

virtual void _impl_Problem::finishSolveStepByStep | ( |  | ) |
| pure virtual

## ◆ generateValidConfig()

virtual ::CORBA::Boolean _impl_Problem::generateValidConfig | ( | ::CORBA::ULong | maxIter,
|  | ::hpp::floatSeq_out | output,
|  | ::CORBA::Double & | residualError
| ) |  |
| pure virtual

## ◆ getAvailable()

virtual Names_t * _impl_Problem::getAvailable | ( | const char * | type | ) |
| pure virtual

## ◆ getConfigurationShooter()

virtual ConfigurationShooter_ptr _impl_Problem::getConfigurationShooter | ( |  | ) |
| pure virtual

## ◆ getConfigValidations()

virtual ConfigValidation_ptr _impl_Problem::getConfigValidations | ( |  | ) |
| pure virtual

## ◆ getConstantRightHandSide()

virtual ::CORBA::Boolean _impl_Problem::getConstantRightHandSide | ( | const char * | constraintName | ) |
| pure virtual

## ◆ getConstraint()

virtual constraints_idl::Implicit_ptr _impl_Problem::getConstraint | ( | const char * | constraintName | ) |
| pure virtual

## ◆ getConstraintDimensions()

virtual void _impl_Problem::getConstraintDimensions | ( | const char * | constraintName,
|  | ::CORBA::ULong & | inputSize,
|  | ::CORBA::ULong & | inputDerivativeSize,
|  | ::CORBA::ULong & | outputSize,
|  | ::CORBA::ULong & | outputDerivativeSize
| ) |  |
| pure virtual

## ◆ getConstraints()

virtual Constraint_ptr _impl_Problem::getConstraints | ( |  | ) |
| pure virtual

## ◆ getDistance() [1/2]

virtual core_idl::Distance_ptr _impl_Problem::getDistance | ( |  | ) |
| pure virtual

## ◆ getDistance() [2/2]

virtual Distance_ptr _impl_Problem::getDistance | ( |  | ) |
| pure virtual

## ◆ getErrorThreshold()

virtual ::CORBA::Double _impl_Problem::getErrorThreshold | ( |  | ) |
| pure virtual

## ◆ getGoalConfigs()

virtual floatSeqSeq * _impl_Problem::getGoalConfigs | ( |  | ) |
| pure virtual

## ◆ getInitConfig()

virtual floatSeq * _impl_Problem::getInitConfig | ( |  | ) |
| pure virtual

## ◆ getInitialConfig()

virtual floatSeq * _impl_Problem::getInitialConfig | ( |  | ) |
| pure virtual

## ◆ getMaxIterPathPlanning()

virtual ::CORBA::ULong _impl_Problem::getMaxIterPathPlanning | ( |  | ) |
| pure virtual

## ◆ getMaxIterProjection()

virtual ::CORBA::ULong _impl_Problem::getMaxIterProjection | ( |  | ) |
| pure virtual

## ◆ getMaxNumThreads()

virtual ::CORBA::UShort _impl_Problem::getMaxNumThreads | ( |  | ) |
| pure virtual

## ◆ getNearestConfig()

virtual floatSeq * _impl_Problem::getNearestConfig | ( | const ::hpp::floatSeq & | config,
|  | ::CORBA::Long | connectedComponentId,
|  | ::CORBA::Double & | distance
| ) |  |
| pure virtual

## ◆ getObstacle()

virtual pinocchio_idl::CollisionObject_ptr _impl_Problem::getObstacle | ( | const char * | name | ) |
| pure virtual

## ◆ getParameter() [1/2]

virtual ::CORBA::Any * _impl_Problem::getParameter | ( | const char * | name | ) |
| pure virtual

## ◆ getParameter() [2/2]

virtual ::CORBA::Any * _impl_Problem::getParameter | ( | const char * | name | ) |
| pure virtual

## ◆ getParameterDoc()

virtual char * _impl_Problem::getParameterDoc | ( | const char * | name | ) |
| pure virtual

## ◆ getPath()

virtual core_idl::Path_ptr _impl_Problem::getPath | ( | ::CORBA::ULong | pathId | ) |
| pure virtual

## ◆ getPathPlanner()

virtual core_idl::PathPlanner_ptr _impl_Problem::getPathPlanner | ( |  | ) |
| pure virtual

## ◆ getPathProjector()

virtual PathProjector_ptr _impl_Problem::getPathProjector | ( |  | ) |
| pure virtual

## ◆ getPathValidation() [1/2]

virtual core_idl::PathValidation_ptr _impl_Problem::getPathValidation | ( |  | ) |
| pure virtual

## ◆ getPathValidation() [2/2]

virtual PathValidation_ptr _impl_Problem::getPathValidation | ( |  | ) |
| pure virtual

## ◆ getProblem()

virtual core_idl::Problem_ptr _impl_Problem::getProblem | ( |  | ) |
| pure virtual

## ◆ getRightHandSide()

virtual floatSeq * _impl_Problem::getRightHandSide | ( |  | ) |
| pure virtual

## ◆ getSelected()

virtual Names_t * _impl_Problem::getSelected | ( | const char * | type | ) |
| pure virtual

## ◆ getSteeringMethod() [1/2]

virtual core_idl::SteeringMethod_ptr _impl_Problem::getSteeringMethod | ( |  | ) |
| pure virtual

## ◆ getSteeringMethod() [2/2]

virtual SteeringMethod_ptr _impl_Problem::getSteeringMethod | ( |  | ) |
| pure virtual

## ◆ getTimeOutPathPlanning()

virtual ::CORBA::Double _impl_Problem::getTimeOutPathPlanning | ( |  | ) |
| pure virtual

## ◆ getWaypoints()

virtual floatSeqSeq * _impl_Problem::getWaypoints | ( | ::CORBA::ULong | pathId,
|  | ::hpp::floatSeq_out | times
| ) |  |
| pure virtual

## ◆ interruptPathPlanning()

virtual void _impl_Problem::interruptPathPlanning | ( |  | ) |
| pure virtual

## ◆ loadPath()

virtual core_idl::Path_ptr _impl_Problem::loadPath | ( | const char * | filename | ) |
| pure virtual

## ◆ loadPlugin()

virtual ::CORBA::Boolean _impl_Problem::loadPlugin | ( | const char * | pluginName | ) |
| pure virtual

## ◆ loadRoadmap()

virtual void _impl_Problem::loadRoadmap | ( | const char * | filename | ) |
| pure virtual

## ◆ movePathToProblem()

virtual void _impl_Problem::movePathToProblem | ( | ::CORBA::ULong | pathId,
|  | const char * | problemName,
|  | const ::hpp::Names_t & | jointNames
| ) |  |
| pure virtual

## ◆ node()

virtual floatSeq * _impl_Problem::node | ( | ::CORBA::ULong | nodeId | ) |
| pure virtual

## ◆ nodes()

virtual floatSeqSeq * _impl_Problem::nodes | ( |  | ) |
| pure virtual

## ◆ nodesConnectedComponent()

virtual floatSeqSeq * _impl_Problem::nodesConnectedComponent | ( | ::CORBA::ULong | connectedComponentId | ) |
| pure virtual

## ◆ numberConnectedComponents()

virtual ::CORBA::Long _impl_Problem::numberConnectedComponents | ( |  | ) |
| pure virtual

## ◆ numberEdges()

virtual ::CORBA::Long _impl_Problem::numberEdges | ( |  | ) |
| pure virtual

## ◆ numberNodes()

virtual ::CORBA::Long _impl_Problem::numberNodes | ( |  | ) |
| pure virtual

## ◆ numberPaths()

virtual ::CORBA::Long _impl_Problem::numberPaths | ( |  | ) |
| pure virtual

## ◆ optimize()

virtual ::CORBA::Boolean _impl_Problem::optimize | ( | const ::hpp::floatSeq & | input,
|  | ::hpp::floatSeq_out | output,
|  | ::hpp::floatSeq_out | residualError
| ) |  |
| pure virtual

## ◆ optimizePath()

virtual intSeq * _impl_Problem::optimizePath | ( | ::CORBA::ULong | inPathId | ) |
| pure virtual

## ◆ pathLength()

virtual ::CORBA::Double _impl_Problem::pathLength | ( | ::CORBA::ULong | inPathId | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_Problem::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ prepareSolveStepByStep()

virtual ::CORBA::Boolean _impl_Problem::prepareSolveStepByStep | ( |  | ) |
| pure virtual

## ◆ projectPath()

virtual ::CORBA::Boolean _impl_Problem::projectPath | ( | ::CORBA::ULong | patId | ) |
| pure virtual

## ◆ readRoadmap()

virtual core_idl::Roadmap_ptr _impl_Problem::readRoadmap | ( | const char * | filename,
|  | ::hpp::pinocchio_idl::Device_ptr | robot
| ) |  |
| pure virtual

## ◆ resetConstraintMap()

virtual void _impl_Problem::resetConstraintMap | ( |  | ) |
| pure virtual

## ◆ resetConstraints()

virtual void _impl_Problem::resetConstraints | ( |  | ) |
| pure virtual

## ◆ resetGoalConfigs() [1/2]

virtual void _impl_Problem::resetGoalConfigs | ( |  | ) |
| pure virtual

## ◆ resetGoalConfigs() [2/2]

virtual void _impl_Problem::resetGoalConfigs | ( |  | ) |
| pure virtual

## ◆ resetGoalConstraints()

virtual void _impl_Problem::resetGoalConstraints | ( |  | ) |
| pure virtual

## ◆ resetProblem()

virtual void _impl_Problem::resetProblem | ( |  | ) |
| pure virtual

## ◆ resetRoadmap()

virtual void _impl_Problem::resetRoadmap | ( |  | ) |
| pure virtual

## ◆ reversePath()

virtual ::CORBA::Boolean _impl_Problem::reversePath | ( | ::CORBA::ULong | pathId,
|  | ::CORBA::ULong & | reversedPathId
| ) |  |
| pure virtual

## ◆ robot()

virtual pinocchio_idl::Device_ptr _impl_Problem::robot | ( |  | ) |
| pure virtual

## ◆ savePath()

virtual void _impl_Problem::savePath | ( | ::hpp::core_idl::Path_ptr | path,
|  | const char * | filename
| ) |  |
| pure virtual

## ◆ saveRoadmap()

virtual void _impl_Problem::saveRoadmap | ( | const char * | filename | ) |
| pure virtual

## ◆ scCreateScalarMultiply()

virtual void _impl_Problem::scCreateScalarMultiply | ( | const char * | outName,
|  | ::CORBA::Double | scalar,
|  | const char * | inName
| ) |  |
| pure virtual

## ◆ selectConfigurationShooter()

virtual void _impl_Problem::selectConfigurationShooter | ( | const char * | configurationShooterType | ) |
| pure virtual

## ◆ selectDistance()

virtual void _impl_Problem::selectDistance | ( | const char * | distanceType | ) |
| pure virtual

## ◆ selectPathPlanner()

virtual void _impl_Problem::selectPathPlanner | ( | const char * | pathPlannerType | ) |
| pure virtual

## ◆ selectPathProjector()

virtual void _impl_Problem::selectPathProjector | ( | const char * | pathProjectorType,
|  | ::CORBA::Double | tolerance
| ) |  |
| pure virtual

## ◆ selectPathValidation()

virtual void _impl_Problem::selectPathValidation | ( | const char * | pathValidationType,
|  | ::CORBA::Double | tolerance
| ) |  |
| pure virtual

## ◆ selectProblem()

virtual ::CORBA::Boolean _impl_Problem::selectProblem | ( | const char * | name | ) |
| pure virtual

## ◆ selectSteeringMethod()

virtual void _impl_Problem::selectSteeringMethod | ( | const char * | steeringMethodType | ) |
| pure virtual

## ◆ setConfigurationShooter()

virtual void _impl_Problem::setConfigurationShooter | ( | ::hpp::core_idl::ConfigurationShooter_ptr | d | ) |
| pure virtual

## ◆ setConstantRightHandSide()

virtual void _impl_Problem::setConstantRightHandSide | ( | const char * | constraintName,
|  | ::CORBA::Boolean | constant
| ) |  |
| pure virtual

## ◆ setConstraints()

virtual void _impl_Problem::setConstraints | ( | ::hpp::core_idl::Constraint_ptr | constraints | ) |
| pure virtual

## ◆ setDefaultLineSearchType()

virtual void _impl_Problem::setDefaultLineSearchType | ( | const char * | type | ) |
| pure virtual

## ◆ setDistance() [1/2]

virtual void _impl_Problem::setDistance | ( | ::hpp::core_idl::Distance_ptr | d | ) |
| pure virtual

## ◆ setDistance() [2/2]

virtual void _impl_Problem::setDistance | ( | ::hpp::core_idl::Distance_ptr | distance | ) |
| pure virtual

## ◆ setErrorThreshold()

virtual void _impl_Problem::setErrorThreshold | ( | ::CORBA::Double | threshold | ) |
| pure virtual

## ◆ setGoalConstraints()

virtual void _impl_Problem::setGoalConstraints | ( | const ::hpp::Names_t & | constraints | ) |
| pure virtual

## ◆ setInitConfig()

virtual void _impl_Problem::setInitConfig | ( | const ::hpp::floatSeq & | init | ) |
| pure virtual

## ◆ setInitialConfig()

virtual void _impl_Problem::setInitialConfig | ( | const ::hpp::floatSeq & | dofArray | ) |
| pure virtual

## ◆ setMaxIterPathPlanning()

virtual void _impl_Problem::setMaxIterPathPlanning | ( | ::CORBA::ULong | iterations | ) |
| pure virtual

## ◆ setMaxIterProjection()

virtual void _impl_Problem::setMaxIterProjection | ( | ::CORBA::ULong | iterations | ) |
| pure virtual

## ◆ setMaxNumThreads()

virtual void _impl_Problem::setMaxNumThreads | ( | ::CORBA::UShort | n | ) |
| pure virtual

## ◆ setNumericalConstraintsLastPriorityOptional()

virtual void _impl_Problem::setNumericalConstraintsLastPriorityOptional | ( | ::CORBA::Boolean | optional | ) |
| pure virtual

## ◆ setParameter() [1/2]

virtual void _impl_Problem::setParameter | ( | const char * | name,
|  | const ::CORBA::Any & | value
| ) |  |
| pure virtual

## ◆ setParameter() [2/2]

virtual void _impl_Problem::setParameter | ( | const char * | name,
|  | const ::CORBA::Any & | value
| ) |  |
| pure virtual

## ◆ setPathProjector()

virtual void _impl_Problem::setPathProjector | ( | ::hpp::core_idl::PathProjector_ptr | p | ) |
| pure virtual

## ◆ setPathValidation()

virtual void _impl_Problem::setPathValidation | ( | ::hpp::core_idl::PathValidation_ptr | d | ) |
| pure virtual

## ◆ setRandomSeed()

virtual void _impl_Problem::setRandomSeed | ( | ::CORBA::Long | seed | ) |
| pure virtual

## ◆ setRightHandSide()

virtual void _impl_Problem::setRightHandSide | ( | const ::hpp::floatSeq & | rhs | ) |
| pure virtual

## ◆ setRightHandSideByName()

virtual void _impl_Problem::setRightHandSideByName | ( | const char * | constraintName,
|  | const ::hpp::floatSeq & | rhs
| ) |  |
| pure virtual

## ◆ setRightHandSideFromConfig()

virtual void _impl_Problem::setRightHandSideFromConfig | ( | const ::hpp::floatSeq & | config | ) |
| pure virtual

## ◆ setRightHandSideFromConfigByName()

virtual void _impl_Problem::setRightHandSideFromConfigByName | ( | const char * | constraintName,
|  | const ::hpp::floatSeq & | config
| ) |  |
| pure virtual

## ◆ setRobot()

virtual void _impl_Problem::setRobot | ( | ::hpp::pinocchio_idl::Device_ptr | robot | ) |
| pure virtual

## ◆ setSecurityMargins()

virtual void _impl_Problem::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |
| pure virtual

## ◆ setSteeringMethod()

virtual void _impl_Problem::setSteeringMethod | ( | ::hpp::core_idl::SteeringMethod_ptr | d | ) |
| pure virtual

## ◆ setTimeOutPathPlanning()

virtual void _impl_Problem::setTimeOutPathPlanning | ( | ::CORBA::Double | timeOut | ) |
| pure virtual

## ◆ solve()

virtual intSeq * _impl_Problem::solve | ( |  | ) |
| pure virtual

## ◆ writeRoadmap()

virtual void _impl_Problem::writeRoadmap | ( | const char * | filename,
|  | ::hpp::core_idl::Roadmap_ptr | roadmap,
|  | ::hpp::pinocchio_idl::Device_ptr | robot
| ) |  |
| pure virtual

The documentation for this class was generated from the following files:

- src/hpp/corbaserver/problem-idl.hh
- src/hpp/core_idl/_problem-idl.hh